Under very specific conditions a user could be impersonated using Gitlab shell. This vulnerability affects GitLab CE/EE 13.1 and later through 14.1.2, 14.0.7 and 13.12.9.
Published 2021-08-20 18:15:08
Updated 2021-08-26 11:54:15
Source GitLab Inc.
View at NVD,   CVE.org

Exploit prediction scoring system (EPSS) score for CVE-2021-22254

0.07%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 28 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2021-22254

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
3.5
LOW AV:N/AC:M/Au:S/C:P/I:N/A:N
6.8
2.9
NIST
3.1
LOW CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:L/I:N/A:N
1.6
1.4
GitLab Inc.
4.3
MEDIUM CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N
2.8
1.4
NIST

CWE ids for CVE-2021-22254

  • The product prepares a structured message for communication with another component, but encoding or escaping of the data is either missing or done incorrectly. As a result, the intended structure of the message is not preserved.
    Assigned by: nvd@nist.gov (Primary)

References for CVE-2021-22254

Products affected by CVE-2021-22254

  • Gitlab » Gitlab » Enterprise Edition
    Versions from including (>=) 14.1.0 and before (<) 14.1.2
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:enterprise:*:*:*
  • Gitlab » Gitlab » Enterprise Edition
    Versions from including (>=) 13.1.0 and before (<) 13.12.9
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:enterprise:*:*:*
  • Gitlab » Gitlab » Community Edition
    Versions from including (>=) 14.0.0 and before (<) 14.0.7
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:*
  • Gitlab » Gitlab » Enterprise Edition
    Versions from including (>=) 14.0.0 and before (<) 14.0.7
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:enterprise:*:*:*
  • Gitlab » Gitlab » Community Edition
    Versions from including (>=) 13.1.0 and before (<) 13.12.9
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:*
  • Gitlab » Gitlab » Community Edition
    Versions from including (>=) 14.1.0 and before (<) 14.1.2
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:*
This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!